<!doctype html>
<html dir="ltr" lang="en">

<head>
  <meta charset="utf-8">
  <title>VerimotRT-UI-Components</title>
  <meta name="Description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <meta name="theme-color" content="#16161d">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta http-equiv="x-ua-compatible" content="IE=Edge">
  <link href="./dist/verimotrt-ui-components/verimotrt-ui-components.css" rel="stylesheet">
  <link type="text/css" href="./dist/collection/assets/fontawesome/css/all.min.css" rel="stylesheet">
  <script type="module" src="./dist/verimotrt-ui-components/verimotrt-ui-components.esm.js"></script>
  <!--<script nomodule="" src="./dist/verimotrt-ui-components/verimotrt-ui-components.js"></script>-->
  <!--<script src='dist/verimotrt-ui-components.js'></script>-->
</head>

<body>
  <script>
    //customElements.whenDefined('vaadin-grid').then(function() {
    //  console.log('customElements.whenDefined');
    //  /*const grid = document.querySelector('vaadin-grid');
    //
    //  const addBtn = document.querySelector('#add-btn');
    //  addBtn.addEventListener('click', function() {
    //    grid.push('items', Vaadin.GridDemo.users[grid.items.length]);
    //  });
    //
    //  const removeBtn = document.querySelector('#remove-btn');
    //  removeBtn.addEventListener('click', function() {
    //    grid.pop('items');
    //  });
    //
    //  grid.items = Vaadin.GridDemo.users.slice(0, 4);*/
    //});
	(async () => {
      await customElements.whenDefined('component-root');
      const componentRoot = document.querySelector('component-root');
      window.componentRoot=componentRoot;
      //await componentRoot.alertShow();
      await componentRoot.setValueGauge(25);
    })();
  </script>
  <component-root></component-root>
  <!--<app-grid></app-grid>-->
  <!--<app-keyboard></app-keyboard>-->
</body>

</html>